% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.r
\name{umx_as_numeric}
\alias{umx_as_numeric}
\title{umx_as_numeric}
\usage{
umx_as_numeric(df, force = FALSE)
}
\arguments{
\item{df}{a \code{\link{data.frame}} to convert}

\item{force}{whether to force conversion to numeric for non-numeric columns (defaults to FALSE)}
}
\value{
- data.frame
}
\description{
Convert each column of a dataframe to numeric
}
\examples{
df = mtcars
# make one variable non-numeric
df$mpg = c(letters,letters[1:6]); str(df)
df = umx_as_numeric(df)
}
\references{
- \url{http://www.github.com/tbates/umx}
}
\seealso{
Other Data Functions: \code{\link{umxCovData}},
  \code{\link{umxFactor}}, \code{\link{umxHetCor}},
  \code{\link{umxPadAndPruneForDefVars}},
  \code{\link{umx_cont_2_quantiles}},
  \code{\link{umx_cov2raw}}, \code{\link{umx_lower2full}},
  \code{\link{umx_make_MR_data}},
  \code{\link{umx_make_bin_cont_pair_data}},
  \code{\link{umx_make_fake_data}},
  \code{\link{umx_merge_CIs}},
  \code{\link{umx_read_lower}}, \code{\link{umx_reorder}},
  \code{\link{umx_residualize}}, \code{\link{umx_round}},
  \code{\link{umx_scale_wide_twin_data}},
  \code{\link{umx_scale}}, \code{\link{umx_swap_a_block}},
  \code{\link{umx}}
}
