% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.r
\name{umx_cor}
\alias{umx_cor}
\title{umx_cor}
\usage{
umx_cor(X, df = nrow(X) - 2, use = c("pairwise.complete.obs",
  "complete.obs", "everything", "all.obs", "na.or.complete"), digits = 2,
  type = c("r and p-value", "smart"))
}
\arguments{
\item{X}{a matrix or dataframe}

\item{df}{the degrees of freedom for the test}

\item{use}{how to handle missing data (defaults to pairwise complete)}

\item{digits}{rounding of answers}

\item{type}{Unused argument for future directions}
}
\value{
- Matrix of correlations and p-values
}
\description{
Report correlations and their p-values
}
\examples{
umx_cor(myFADataRaw[1:8,])
}
\references{
- \url{http://www.github.com/tbates/umx}
}
\seealso{
Other Stats Functions: \code{\link{reliability}},
  \code{\link{umxCov2cor}}, \code{\link{umx_means}},
  \code{\link{umx}}
}
