% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.r
\name{umx_find_object}
\alias{umx_find_object}
\title{umx_find_object}
\usage{
umx_find_object(pattern = ".*", requiredClass = "MxModel")
}
\arguments{
\item{pattern}{the pattern that matching objects must contain}

\item{requiredClass}{the class of object that will be matched}
}
\value{
- a list of objects matching the class and name
}
\description{
Find objects a certain class, whose name matches a search string.
The string (pattern) is grep-enabled, so you can match wild-cards
}
\examples{
\dontrun{
umx_find_object("^m[0-9]") # mxModels beginning "m1" etc.
umx_find_object("", "MxModel") # all MxModels
}
}
\references{
-
}
\seealso{
Other Utility Functions: \code{\link{qm}},
  \code{\link{umx_grep}}, \code{\link{umx_msg}},
  \code{\link{umx_names}}, \code{\link{umx_paste_names}},
  \code{\link{umx_pb_note}}, \code{\link{umx_print}},
  \code{\link{umx_rename}}, \code{\link{umx}}
}
