% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.r
\name{umx_set_plot_format}
\alias{umx_set_plot_format}
\title{umx_set_plot_format}
\usage{
umx_set_plot_format(umx.plot.format = NULL, silent = FALSE)
}
\arguments{
\item{umx.plot.format}{format for plots (if empty, returns the current value of umx.plot.format)}

\item{silent}{If TRUE, no message will be printed.}
}
\value{
- Current umx.plot.format setting
}
\description{
Set output format of plots (default = "DiagrammeR", alternative is "graphviz")
}
\examples{
library(umx)
umx_set_plot_format() # print current state
old = umx_set_plot_format(silent = TRUE) # store current value
umx_set_plot_format("graphviz")
umx_set_plot_format("DiagrammeR")
umx_set_plot_format(old) # reinstate
}
\references{
- \url{http://tbates.github.io}, \url{https://github.com/tbates/umx}
}
\seealso{
Other Get and set: \code{\link{umx_get_checkpoint}},
  \code{\link{umx_set_auto_plot}},
  \code{\link{umx_set_auto_run}},
  \code{\link{umx_set_checkpoint}},
  \code{\link{umx_set_condensed_slots}},
  \code{\link{umx_set_cores}},
  \code{\link{umx_set_optimizer}},
  \code{\link{umx_set_table_format}}
}
