% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.r
\name{umx_standardize_ACE}
\alias{umx_standardize_ACE}
\title{umx_standardize_ACE}
\usage{
umx_standardize_ACE(fit)
}
\arguments{
\item{fit}{an \code{\link{umxACE}} model to standardize}
}
\value{
- Standardized ACE \code{\link{umxACE}} model
}
\description{
Standardize an ACE model
}
\examples{
require(umx)
data(twinData)
selDVs = c("bmi1", "bmi2")
mzData <- twinData[twinData$zyg == 1, selDVs][1:80,] # 80 pairs for speed
dzData <- twinData[twinData$zyg == 3, selDVs][1:80,]
m1  = umxACE(selDVs = selDVs, dzData = dzData, mzData = mzData)
std = umx_standardize_ACE(m1)
}
\references{
- \url{http://tbates.github.io}, \url{https://github.com/tbates/umx}
}
\seealso{
Other zAdvanced Helpers: \code{\link{umx_standardize_ACEcov}},
  \code{\link{umx_standardize_CP}},
  \code{\link{umx_standardize_IP}}, \code{\link{umx}}
}
