% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/xmu.r
\name{xmuLabel_Matrix}
\alias{xmuLabel_Matrix}
\title{xmuLabel_Matrix (not a user function)}
\usage{
xmuLabel_Matrix(mx_matrix = NA, baseName = NA, setfree = FALSE,
  drop = 0, jiggle = NA, boundDiag = NA, suffix = "", verbose = TRUE,
  labelFixedCells = FALSE, overRideExisting = FALSE)
}
\arguments{
\item{mx_matrix}{an mxMatrix}

\item{baseName}{A base name for the labels NA}

\item{setfree}{Whether to set free cells FALSE}

\item{drop}{What values to drop 0}

\item{jiggle}{= whether to jiggle start values}

\item{boundDiag}{set diagonal element lbounds to this numeric value (default = NA = ignore)}

\item{suffix}{a string to append to each label}

\item{verbose}{how much feedback to give}

\item{labelFixedCells}{= FALSE}

\item{overRideExisting}{Whether to overRideExisting (Default FALSE)}
}
\value{
- The labeled \code{\link{mxMatrix}}
}
\description{
This function will label all the free parameters in an \code{\link{mxMatrix}}
}
\details{
End users should just call \code{\link{umxLabel}}

Purpose: label the cells of an mxMatrix
Detail: Defaults to the handy "matrixname_r1c1" where 1 is the row or column
Use case: You should not use this: call umxLabel
umx:::xmuLabel_Matrix(mxMatrix("Lower", 3, 3, values = 1, name = "a", byrow = TRUE), jiggle = .05, boundDiag = NA);
umx:::xmuLabel_Matrix(mxMatrix("Full" , 3, 3, values = 1, name = "a", byrow = TRUE));
umx:::xmuLabel_Matrix(mxMatrix("Symm" , 3, 3, values = 1, name = "a", byrow = TRUE), jiggle = .05, boundDiag = NA);
umx:::xmuLabel_Matrix(mxMatrix("Full" , 1, 1, values = 1, name = "a", labels= "data.a"));
umx:::xmuLabel_Matrix(mxMatrix("Full" , 1, 1, values = 1, name = "a", labels= "data.a"), overRideExisting = TRUE);
umx:::xmuLabel_Matrix(mxMatrix("Full" , 1, 1, values = 1, name = "a", labels= "test"), overRideExisting = TRUE);
See also: fit2 = omxSetParameters(fit1, labels = "a_r1c1", free = FALSE, value = 0, name = "drop_a_row1_c1")
}
\seealso{
Other xmu internal not for end user: \code{\link{xmuHasSquareBrackets}},
  \code{\link{xmuLabel_MATRIX_Model}},
  \code{\link{xmuLabel_RAM_Model}}, \code{\link{xmuMI}},
  \code{\link{xmuMakeDeviationThresholdsMatrices}},
  \code{\link{xmuMakeOneHeadedPathsFromPathList}},
  \code{\link{xmuMakeTwoHeadedPathsFromPathList}},
  \code{\link{xmuMaxLevels}}, \code{\link{xmuMinLevels}},
  \code{\link{xmuPropagateLabels}},
  \code{\link{xmu_check_levels_identical}},
  \code{\link{xmu_dot_make_paths}},
  \code{\link{xmu_dot_make_residuals}},
  \code{\link{xmu_start_value_list}}
}
